Authentication

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

cURL

curl --location '{{api_front_base_url}}/wa/api/v1/template/msg' \
--header 'apikey: {{apiKey}}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'channel=whatsapp' \
--data-urlencode 'source={{source phone number}}' \
--data-urlencode 'destination={{destination phone number}}' \
--data-urlencode 'src.name={{app_name}}' \
--data-urlencode 'template={"id":"`<template_id>`","params":[`<list_of_template_parameters>`]}'
📘

  • The template.params list should include the verification code twice, for the body and button component.

Request Parameters

NameInDescriptionRequiredTypeExample
apikeyheaderYour account API keytruestring2xxc4x4xx2c94xxxc2f9xx9d43xxxx8a

Form Parameters

NameTypeDescriptionRequiredExample
sourcestringSender WhatsApp Numbertrue919163xxxxx3
src.namestringApp name that the source number belongs totrueDemoApp
destinationstringReceiver WhatsApp Numbertrue917839xxxxx3
templateobjectContains template ID and list of template parameters (only parameter is the verification code)true
channelstringMessaging Platform Nametruewhatsapp

Template Object

NameTypeDescriptionRequiredExample
idstringTemplate IDtrue"template_id"
paramsarrayList of template parameters (Verification code should be present twice, for the body and button component)true["1234","1234"]

Status Codes

Status CodeDescriptionResponse Schema
202Success response{ "status": "success", "messageId": "message id" }
400Error response; in case of bad request{ "status": "error", "message": "Invalid Destination" }
401Error response; in case of authentication failure{ "status": "error", "message": "Authentication Failed" }
Form Data
string
required

Sender Whatsapp Number

string

App name that the source number belongs to

string
required

Receiver Whatsapp Number

template
object
required

contains template id and list of template parameters (only parameter is the verification code)

string

Messaging Platform Name

Headers
string
required

Your account API key

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json